Bug 22208 - Update request: dkms-bbswitch
Summary: Update request: dkms-bbswitch
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA6-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2017-12-16 11:39 CET by Thomas Backlund
Modified: 2018-01-14 17:55 CET (History)
3 users (show)

See Also:
Source RPM: dkms-bbswitch
CVE:
Status comment:


Attachments

Description Thomas Backlund 2017-12-16 11:39:51 CET
This fixe the package to build against 4.14 series kernels (already built and tested on x86_64 in cauldron)

SRPMS:
dkms-bbswitch-0.8-7.1.mga6.src.rpm


i586:
dkms-bbswitch-0.8-7.1.mga6.noarch.rpm


x86_64:
dkms-bbswitch-0.8-7.1.mga6.noarch.rpm
Comment 1 Herman Viaene 2017-12-22 15:06:41 CET
MGA6-32 on Dell Latitude D600
No installation issues
No Optimus or nVidia here. I rebooted after installation to make sure the update did not blow any other stuff apart.
If/when someone else can test with nVidia, this is good to go for me.

CC: (none) => herman.viaene

Comment 2 Thomas Backlund 2017-12-22 15:35:28 CET
Advisory, added to svn:

type: bugfix
subject: Updated dkms-bbswitch packages adds support for kernel 4.14
src:
  6:
   core:
     - dkms-bbswitch-0.8-7.1.mga6
description: |
  Updated dkms-bbswitch fixes build with 4.14 series kernels.
references:
 - https://bugs.mageia.org/show_bug.cgi?id=22208

Keywords: (none) => advisory

Comment 3 Len Lawrence 2017-12-24 19:25:44 CET
Mageia 6 :: x86_64
No Optimus or bumblebee here.
4.14.5-desktop-1.mga6
Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
NVIDIA Corporation GF114 [GeForce GTX 555] 

The update ran fine.
........................
Building module:
cleaning build area....
make -j8 KERNELRELEASE=4.14.5-desktop-1.mga6 KVERSION=4.14.5-desktop-1.mga6....
........................
$ rpm -qa | grep bbswitch
dkms-bbswitch-0.8-7.1.mga6

CC: (none) => tarazed25

Comment 4 Herman Viaene 2018-01-03 16:36:20 CET
MGA6-32 on Dell Latitude D600
No installation issues
No Optimus or nVidia here. I rebooted after installation to make sure the update did not blow any other stuff apart.
If/when someone else can test with nVidia, this is good to go for me.
Comment 5 Rémi Verschelde 2018-01-14 14:02:18 CET
I can confirm the build error, testing the update now. Thanks Thomas for handling it, I was about to backport https://github.com/Bumblebee-Project/bbswitch/pull/158 when I saw that you had pushed an update candidate already :)
Comment 6 Rémi Verschelde 2018-01-14 14:06:15 CET
Built successfully on my Optimus laptop (nvidia GTX 670M).

Keywords: (none) => validated_update
CC: (none) => sysadmin-bugs
Whiteboard: (none) => MGA6-64-OK

Comment 7 Mageia Robot 2018-01-14 17:55:01 CET
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2018-0014.html

Resolution: (none) => FIXED
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.